View Issue Details

IDProjectCategoryView StatusLast Update
0004134Slicer4Core: Building (CMake, Superbuild)public2018-03-02 16:05
ReportermwpowellhtxAssigned Tojcfr 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Platformx86/x64OSWindows 7OS Versionx64 SP1
Product VersionSlicer 4.5.0-1 
Target VersionSlicer 4.9.0Fixed in VersionSlicer 4.9.0 
Summary0004134: Upgrade to Qt 5.x
Description

Any reason why Slice hasn't been upgraded there yet? As far as I know 5.x has been around for some time now. Certainly long enough to be sufficiently mature.

Steps To Reproduce

There's a call for an upstream easy build step. I have posted a follow up question there, for starters.

Tagsvtk-opengl2

Activities

mwpowellhtx

mwpowellhtx

2016-01-22 10:29

reporter   ~0013737

As a stop gap measure, I am trying to build from the current Slicer trunk, including Qt dependencies, and running into what I think is a hard dependency on Qt 4.7.4. Can you confirm?

If I follow the instructions on the Slicer web site, I end up with Qt 4.8.7 from the easy build.

Never mind trying to build 4.7.4 with x64 and Visual Studio 2013 in mind; I do not think the platform/arch is supported in that version.

Near term suggestions?

jcfr

jcfr

2017-08-04 16:40

administrator   ~0015022

The past few months, we have been working hard on updating Slicer to support VTK8 (with OpenGL2) and Qt5

We expect to have all of our changes integrated next week, that will be a good time to try to build Slicer against Qt 5.9 and report any issues.

You can follow the progress here: https://www.slicer.org/wiki/Documentation/Labs/Qt5

jcfr

jcfr

2018-03-02 11:25

administrator   ~0015521

Packages generated daily are now built against Qt 5

To build it yourself, see https://www.slicer.org/wiki/Documentation/Nightly/Developers/Build_Instructions#PREREQUISITES

Issue History

Date Modified Username Field Change
2016-01-22 03:22 mwpowellhtx New Issue
2016-01-22 03:22 mwpowellhtx Status new => assigned
2016-01-22 03:22 mwpowellhtx Assigned To => jcfr
2016-01-22 10:29 mwpowellhtx Note Added: 0013737
2017-07-25 22:56 lassoan Target Version => Slicer 4.9.0
2017-08-04 16:40 jcfr Note Added: 0015022
2018-03-02 11:25 jcfr Status assigned => resolved
2018-03-02 11:25 jcfr Resolution open => fixed
2018-03-02 11:25 jcfr Fixed in Version => Slicer 4.9.0
2018-03-02 11:25 jcfr Note Added: 0015521
2018-03-02 16:05 jcfr Tag Attached: vtk-opengl2